unit uIDataModulePedidosCliente;

interface

uses
  Classes, uBizPedidosCliente, uBizDetallesPedidoCliente;

type
  IDataModulePedidosCliente = interface
  ['{F0DDD126-9E62-4FEC-A849-FDCA75718F5B}']
    function GetAnosItems : TStringList;
    function GetItems: IBizPedidoCliente;
    function GetItem(const ID : Integer) : IBizPedidoCliente;
    function NewItem : IBizPedidoCliente;
    function GetArticulosPendientes(const IDPedido: Integer): IBizPedidoClienteArticulosPend; overload;
    function GetArtColoresPendientes: IBizPedidoClienteArtColoresPend;
    function GetArticulosPendientes: IBizArticulosPendientes; overload;
  end;

implementation

end.
